stages:
  - build
  - deploy

build:
  image: node:latest
  stage: build
  variables: 
    # PUBLIC_URL: https://gitlab.com/aleksandr.mayboroda/metric-with-react
    PUBLIC_URL: /metric-with-react #здесь путь к странице типа ...domain/my-page
  script:
    - yarn install
    - yarn build
  artifacts:
    paths:
      - build/

pages:
  image: alpine:latest
  stage: deploy
  variables:
    GIT_STRATEGY: none
  script:
    - mv build public         
    - cp public/index.html public/404.html #была одна из рекомендаций в решении
  artifacts:
    paths:
      - public
